Skip to content
BleemeoBleemeo

List noise-reduction suggestions

GET
/v1/suggestion/
curl --request GET \
--url 'https://example.com/v1/suggestion/?kind=0&status=0' \
--header 'Authorization: Bearer <token>'

Precomputed suggestions with their lifecycle status. Listing refreshes the account’s suggestions when the stored ones are older than the freshness window.

cursor
string

The pagination cursor value.

kind
integer
Allowed values: 0 1 2
  • 0 - silence
  • 1 - flappy
  • 2 - threshold
page_size
integer

Number of results to return per page.

search
string

A search term.

status
integer
Allowed values: 0 1 2 3
  • 0 - pending
  • 1 - applied
  • 2 - dismissed
  • 3 - stale
Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
kind
required
  • 0 - silence
  • 1 - flappy
  • 2 - threshold
integer
Allowed values: 0 1 2
status
  • 0 - pending
  • 1 - applied
  • 2 - dismissed
  • 3 - stale
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3
metric
required
string format: uuid
nullable
agent
required
string format: uuid
nullable
target_label
required
string
reason
required
string
payload
required
cluster_size
required
integer
representative_event
required
string format: uuid
nullable
first_detected_at
required
string format: date-time
last_confirmed_at
required
string format: date-time
nullable
resolved_at
required
string format: date-time
nullable
applied_object_ids
resolved_by
required
string format: uuid
nullable

Example

{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"kind": 0,
"status": 0
}
]
}